order.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Sorted
| Sorted propagators

## Functions

template<class View, bool Perm>
void | Gecode::Int::Sorted::sort_sigma (ViewArray< View > &x, ViewArray< View > &z)
| Build .
template<class View, bool Perm>
void | Gecode::Int::Sorted::sort_tau (ViewArray< View > &x, ViewArray< View > &z, int tau[])
| Build .
template<class View>
bool | Gecode::Int::Sorted::normalize (Space &home, ViewArray< View > &y, ViewArray< View > &x, bool &nofix)
| Performing normalization on the views in y.
template<class View>
bool | Gecode::Int::Sorted::perm_bc (Space &home, int tau[], SccComponent sinfo[], int scclist[], ViewArray< View > &x, ViewArray< View > &z, bool &crossingedge, bool &nofix)
| Bounds consistency on the permutation views.